%define	major 5
%define libname	%mklibname event %{major}
%define develname %mklibname -d event

Summary:	Abstract asynchronous event notification library
Name:		libevent
Version:	2.0.12
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.monkey.org/~provos/libevent/
Source0:	http://www.monkey.org/~provos/%{name}-%{version}-stable.tar.gz
Source1:	http://www.monkey.org/~provos/%{name}-%{version}-stable.tar.gz.asc
Patch0:		libevent-version-info-only.diff
Patch1:		libevent-linkage_fix.diff
Patch2:		libevent-ldflags.diff
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	doxygen
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:          System/Libraries

%description -n	%{libname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{develname}
Summary:	Static library and header files for the libevent library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname -d event 2}

%description -n	%{develname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

This package contains the static libevent library and its header files needed
to compile applications such as stegdetect, etc.

%prep

%setup -q -n %{name}-%{version}-stable
%patch0 -p0
%patch1 -p0
%patch2 -p0

autoreconf -fi

%build
export CFLAGS="%{optflags} -fPIC"

%configure2_5x

make

# provide man pages
make doxygen
rm -f doxygen/man/man3/{major,minor,error,free}.3

#%%check
#pushd test
#    make verify
#popd

%install
rm -rf %{buildroot}

%makeinstall_std

# don't enforce python deps here
rm -f %{buildroot}%{_bindir}/event_rpcgen.py

# provide man pages
install -d %{buildroot}%{_mandir}/man3
install -m0644 doxygen/man/man3/*.3 %{buildroot}%{_mandir}/man3/

(cd %{buildroot}/%{_mandir}/man3/; F=`ls deprecated.3*`; mv $F libevent.$F)

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README event_rpcgen.py
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Tue Jun 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.12-1mdv2011.0
+ Revision: 685004
- 2.0.12

* Tue May 17 2011 Paulo Andrade <pcpa@mandriva.com.br> 2.0.11-2
+ Revision: 675371
- Rename manpage file conflict

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-1
+ Revision: 664241
- 2.0.11

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-4
+ Revision: 662365
- mass rebuild

* Wed Mar 23 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0.10-3
+ Revision: 647735
- do parallel build
- autoreconf should be run in %%prep, not %%build
- drop ancient ldconfig scriptlets
- fix man page conflicts

* Sat Mar 19 2011 Funda Wang <fwang@mandriva.org> 2.0.10-2
+ Revision: 646640
- no need to provide liblibevent

* Wed Dec 22 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-1mdv2011.0
+ Revision: 623856
- 2.0.10

* Mon Jul 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.14b-1mdv2011.0
+ Revision: 551246
- 1.4.14b

* Sat Dec 19 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.13-2mdv2010.1
+ Revision: 480186
- rebuilt because it got stucked in the build system for too long
- 1.4.13

* Sat Aug 08 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.12-1mdv2010.0
+ Revision: 411797
- 1.4.12

* Wed Jun 10 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.11-1mdv2010.0
+ Revision: 384826
- 1.4.11
- rediff patches

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 1.4.10-1mdv2010.0
+ Revision: 370694
- New version 1.4.10

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-2mdv2009.1
+ Revision: 314868
- rebuild

* Mon Dec 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-1mdv2009.1
+ Revision: 311849
- 1.4.8

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 1.4.7-1mdv2009.0
+ Revision: 282562
- update to new version 1.4.7

* Sun Aug 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-1mdv2009.0
+ Revision: 270203
- 1.4.6

* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-2mdv2009.0
+ Revision: 238957
- fix build
- fix linkage (P1)

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-1mdv2009.0
+ Revision: 229607
- 1.4.5
- had to use %%define _disable_ld_no_undefined 1 to make it build

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-1mdv2009.0
+ Revision: 207029
- 1.4.4
- rediffed P0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Funda Wang <fwang@mandriva.org> 1.4.1-0.beta.1mdv2008.1
+ Revision: 139184
- New version 1.4.1 beta

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3e-1mdv2008.1
+ Revision: 92785
- 1.3e

* Thu Aug 16 2007 Funda Wang <fwang@mandriva.org> 1.3d-1mdv2008.0
+ Revision: 64123
- New version 1.3d

* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3c-1mdv2008.0
+ Revision: 57037
- 1.3c


* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3b-1mdv2007.0
+ Revision: 132036
- 1.3b

* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3a-1mdv2007.1
+ Revision: 122973
- 1.3a (Major feature enhancements)

* Tue Dec 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2a-1mdv2007.1
+ Revision: 90856
- 1.2a (Major bugfixes)

* Tue Oct 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2007.1
+ Revision: 65698
- fix release
- 1.2
- rediffed P0
- bzip2 cleanup
- bunzip patches
- Import libevent

* Sat Aug 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1b-1mdv2007.0
- 1.1b

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1a-1mdv2007.0
- rebuild

* Sat Oct 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1a-1mdk
- 1.1a

* Mon May 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdk
- 1.1

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0e-1mdk
- 1.0e
- drop the shared patch, it's implemented upstream
- use version-info only (P0)
- use the official major

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0c-1mdk
- 1.0c
- use the %%mkrel macro
- rediff P0
- fix requires-on-release

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0b-1mdk
- 1.0b

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0a-1mdk
- 1.0a
- added the sig

* Mon Dec 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-1mdk
- 1.0
- added P0 after peeking at the package by PLD

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9-1mdk
- 0.9
- nuke redundant provides
- misc spec file fixes

* Mon May 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-1mdk
- 0.8
- drop the patch, it's included
- use the %%configure2_5x macro

